Debian Bug report logs - #659431
vim-runtime: Uses perl4 corelibs without Depends

version graph

Package: vim-runtime; Maintainer for vim-runtime is Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>; Source for vim-runtime is src:vim.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 11 Feb 2012 00:06:06 UTC

Severity: normal

Found in version vim/2:7.3.363-1

Fixed in version vim/2:7.3.524-1

Done: James McCoy <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>:
Bug#659431; Package vim-runtime. (Sat, 11 Feb 2012 00:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>. (Sat, 11 Feb 2012 00:06:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: vim-runtime: Uses perl4 corelibs without Depends
Date: Sat, 11 Feb 2012 00:03:24 +0000
Package: vim-runtime
Version: 2:7.3.363-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/share/vim/vim73/tools/shtags.pl:48 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>:
Bug#659431; Package vim-runtime. (Sat, 11 Feb 2012 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McCoy <jamessan@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>. (Sat, 11 Feb 2012 02:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 659431@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 659431@bugs.debian.org
Subject: Re: Bug#659431: vim-runtime: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 21:00:59 -0500
[Message part 1 (text/plain, inline)]
On Sat, Feb 11, 2012 at 12:03:24AM +0000, Dominic Hargreaves wrote:
> This package currently uses one or more deprecated perl 4 era packages,
> as shown on the lintian report[1]:
> 
> usr/share/vim/vim73/tools/shtags.pl:48 getopts.pl
> 
> As detailed at [2] we would like you to either add a dependency on
> 
> libperl4-corelibs-perl | perl (<< 5.12.3-7)
> 
> or (ideally) to replace their use with more modern equivalents.

This script isn't installed in a standard $PATH, isn't used by anything
in the Vim packaging or referenced by anything other than its own
documentation, and is essentially unneeded since ctags handles Perl now.

I'm not inclined to add dependencies for a script that most people are
unlikely to even know exists and even fewer are likely to use.  I'll see
if upstream is fine with removing it or at least not installing it by
default.

It might be easiest to just exclude tools/ from the packaging in
general.

Cheers,
-- 
James
GPG Key: 4096R/331BA3DB 2011-12-05 James McCoy <jamessan@debian.org>
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from James McCoy <jamessan@debian.org> to control@bugs.debian.org. (Tue, 24 Apr 2012 01:45:04 GMT) Full text and rfc822 format available.

Reply sent to James McCoy <jamessan@debian.org>:
You have taken responsibility. (Fri, 25 May 2012 02:54:03 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 25 May 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 659431-close@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: 659431-close@bugs.debian.org
Subject: Bug#659431: fixed in vim 2:7.3.524-1
Date: Fri, 25 May 2012 02:50:36 +0000
Source: vim
Source-Version: 2:7.3.524-1

We believe that the bug you reported is fixed in the latest version of
vim, which is due to be installed in the Debian FTP archive:

vim-athena_7.3.524-1_amd64.deb
  to main/v/vim/vim-athena_7.3.524-1_amd64.deb
vim-common_7.3.524-1_amd64.deb
  to main/v/vim/vim-common_7.3.524-1_amd64.deb
vim-dbg_7.3.524-1_amd64.deb
  to main/v/vim/vim-dbg_7.3.524-1_amd64.deb
vim-doc_7.3.524-1_all.deb
  to main/v/vim/vim-doc_7.3.524-1_all.deb
vim-gnome_7.3.524-1_amd64.deb
  to main/v/vim/vim-gnome_7.3.524-1_amd64.deb
vim-gtk_7.3.524-1_amd64.deb
  to main/v/vim/vim-gtk_7.3.524-1_amd64.deb
vim-gui-common_7.3.524-1_all.deb
  to main/v/vim/vim-gui-common_7.3.524-1_all.deb
vim-lesstif_7.3.524-1_all.deb
  to main/v/vim/vim-lesstif_7.3.524-1_all.deb
vim-nox_7.3.524-1_amd64.deb
  to main/v/vim/vim-nox_7.3.524-1_amd64.deb
vim-runtime_7.3.524-1_all.deb
  to main/v/vim/vim-runtime_7.3.524-1_all.deb
vim-tiny_7.3.524-1_amd64.deb
  to main/v/vim/vim-tiny_7.3.524-1_amd64.deb
vim_7.3.524-1.debian.tar.gz
  to main/v/vim/vim_7.3.524-1.debian.tar.gz
vim_7.3.524-1.dsc
  to main/v/vim/vim_7.3.524-1.dsc
vim_7.3.524-1_amd64.deb
  to main/v/vim/vim_7.3.524-1_amd64.deb
vim_7.3.524.orig.tar.gz
  to main/v/vim/vim_7.3.524.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659431@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James McCoy <jamessan@debian.org> (supplier of updated vim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 May 2012 21:37:40 -0400
Source: vim
Binary: vim-common vim-gui-common vim-runtime vim-doc vim-tiny vim vim-dbg vim-gtk vim-nox vim-athena vim-lesstif vim-gnome
Architecture: source amd64 all
Version: 2:7.3.524-1
Distribution: unstable
Urgency: low
Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Changed-By: James McCoy <jamessan@debian.org>
Description: 
 vim        - Vi IMproved - enhanced vi editor
 vim-athena - Vi IMproved - enhanced vi editor - with Athena GUI
 vim-common - Vi IMproved - Common files
 vim-dbg    - Vi IMproved - enhanced vi editor (debugging symbols)
 vim-doc    - Vi IMproved - HTML documentation
 vim-gnome  - Vi IMproved - enhanced vi editor - with GNOME2 GUI
 vim-gtk    - Vi IMproved - enhanced vi editor - with GTK2 GUI
 vim-gui-common - Vi IMproved - Common GUI files
 vim-lesstif - Vi IMproved - enhanced vi editor (transitional package)
 vim-nox    - Vi IMproved - enhanced vi editor
 vim-runtime - Vi IMproved - Runtime files
 vim-tiny   - Vi IMproved - enhanced vi editor - compact version
Closes: 659431 660632 661720 663605 663735
Changes: 
 vim (2:7.3.524-1) unstable; urgency=low
 .
   * Merge upstream tag v7-3-524
     + Recognize git commit files in submodules. (Closes: #663735)
     + Fix NetRW's munging of options when opening files.  (Closes: #661720)
     + 7.3.485: Use environment's LDFLAGS when building xxd.  (Closes: #663605)
     + Update recognized keywords for dircolors syntax.  (Closes: #660632)
   * Exclude the tools directory from the install.
     + Stop shipping scripts which use Perl4 functionality.  (Closes: #659431)
     + Remove lintian overrides for csh scripts.
     + Remove patch debian/awk-shebang.patch
   * Remove EOLed Lenny/Maverick releases, add Quantal release to runtime
     files.
   * Remove upstream/po-syntax-cpo.patch, merged upstream.
   * Remove upstream/debian-runtime-*.patch, merged upstream.
   * Remove upstream/fr-manpage-fixes.patch, merged upstream.
   * Remove upstream/xdefaults-syntax-define.patch, merged upstream.
   * Add lintian override for binaries-have-file-conflict.  vim-runtime diverts
     vim-tiny's doc/help.txt and doc/tags.
   * Remove unused menu-icon-missing override.
Checksums-Sha1: 
 cf318b6746e2f39ded6fd4028a883fcf0f597718 1998 vim_7.3.524-1.dsc
 8588d2b41297845d1b82423e82ba64ace2583ec4 11070106 vim_7.3.524.orig.tar.gz
 1453f742b0ec3b29c4705a5b527cdac04da94cfa 187352 vim_7.3.524-1.debian.tar.gz
 29cdb26b5f400acf9e4d55183d8865e92245ab4e 1233674 vim-gtk_7.3.524-1_amd64.deb
 8f1fc38d67732fafe752a153853a6302a465a834 1236418 vim-gnome_7.3.524-1_amd64.deb
 3bd8003470969d2ba080aa52f3944f2b4e0c57dd 1219422 vim-athena_7.3.524-1_amd64.deb
 2f3e263a22afd3a97b086f1c38510de3e1362921 1095746 vim-nox_7.3.524-1_amd64.deb
 7315fc4481f9c38b4a15b7b1c880dfb272bcf4c6 163924 vim-common_7.3.524-1_amd64.deb
 8a3b93ae8e9b80d390b33eccfa72d809daaf08ad 991542 vim_7.3.524-1_amd64.deb
 b9c483092c44b9b33c3a9da2bbc44626d99d5c44 413208 vim-tiny_7.3.524-1_amd64.deb
 c392af0411867fcdb94ff6f0b4cb17f0dfa2952a 13675064 vim-dbg_7.3.524-1_amd64.deb
 554063523d39c34d75dbfccbadb3d3192cbbd710 145492 vim-gui-common_7.3.524-1_all.deb
 0c67dee1ca887e466528b4b6d9a1a34c3498035b 6280816 vim-runtime_7.3.524-1_all.deb
 749ea91d7fd4e1e1331218f28bba3882b70b9a10 2335296 vim-doc_7.3.524-1_all.deb
 931155e25624312ebe0ba638cc46e8a35665453a 86776 vim-lesstif_7.3.524-1_all.deb
Checksums-Sha256: 
 0ab81cfe3d11311aa71f9486f7e639362e7e40212fba4af4cb8c5f946255393a 1998 vim_7.3.524-1.dsc
 f25c53d649f8387b823f0387663ef9243e49c78aa09d9babbc72def24a4809fe 11070106 vim_7.3.524.orig.tar.gz
 9b67e4816f51e15d6c12d5cae0d6cd753b9dd02b01f9a933b1c4fe68d89ca168 187352 vim_7.3.524-1.debian.tar.gz
 d493b437c64e8ac20e8d975740a8c5036c2a3c2cdca26b9fe905ba6fed56a84f 1233674 vim-gtk_7.3.524-1_amd64.deb
 b1e9c1ffaec55237a6edf49e59e0324767f1e775860f9f877335e164044d45e7 1236418 vim-gnome_7.3.524-1_amd64.deb
 60bc6d087c3073b3694ecedd7c9dfcfabd33c06b8b349e520658060d09e250d8 1219422 vim-athena_7.3.524-1_amd64.deb
 e80490282c9e90f1f5aae6b151b7f0bdd0283a507554752fcca5960f9ec807f0 1095746 vim-nox_7.3.524-1_amd64.deb
 0cc923b4fb884dc0a38fc1bfdca5ba0515b7ce94bdbda4c9122380ba3609a01f 163924 vim-common_7.3.524-1_amd64.deb
 47b3725f978eee1199da4daf13f80a952f388dbb2421deccfaa55c910308a600 991542 vim_7.3.524-1_amd64.deb
 b4e3c73625e1f75b493f60300116798b8e2080cb60f1491c2329761ff6dd2660 413208 vim-tiny_7.3.524-1_amd64.deb
 29b772390bfcf9961164ce77622d07c5803ab01cf11f0e4a38d1638fcfb9a7a1 13675064 vim-dbg_7.3.524-1_amd64.deb
 43611474b12390b6920cdc1f46922b142aa7b5d387bddd44ef3287cea3fbe958 145492 vim-gui-common_7.3.524-1_all.deb
 7839ddc853c13dfcd82307714f4afd282086e978f32a5828285e726c0c73d583 6280816 vim-runtime_7.3.524-1_all.deb
 a0028fa80e8493132b01d0453717eeb03be15a0a4526f646d004a1753e5af697 2335296 vim-doc_7.3.524-1_all.deb
 121199d877b2f1dd55c42b4a753aef90f959ead112a5dbf21970cf0c1b56e625 86776 vim-lesstif_7.3.524-1_all.deb
Files: 
 1b5fc19ea0848c61d8297938bd2c80bb 1998 editors optional vim_7.3.524-1.dsc
 866e8003fccbc786d88ac3d74b8c9265 11070106 editors optional vim_7.3.524.orig.tar.gz
 5be51eca8ef5cc7fbe3123607ecf01cf 187352 editors optional vim_7.3.524-1.debian.tar.gz
 ea33015197049067a275fdc8fcb3d45a 1233674 editors extra vim-gtk_7.3.524-1_amd64.deb
 0fe65fc653726fa3299fa1260cc59333 1236418 editors extra vim-gnome_7.3.524-1_amd64.deb
 4c2b4115ccfc19f2d72f1d85f13065f2 1219422 editors extra vim-athena_7.3.524-1_amd64.deb
 a1958890acafb121432bc879a0b00a57 1095746 editors extra vim-nox_7.3.524-1_amd64.deb
 b18d518d2f35ce070eb366c0425a3d20 163924 editors important vim-common_7.3.524-1_amd64.deb
 05b65593338e4202174db41ef2052507 991542 editors optional vim_7.3.524-1_amd64.deb
 c01c238fbe52412bea724659d83df5bf 413208 editors important vim-tiny_7.3.524-1_amd64.deb
 14cbae6406397adf0c11ec9d5a729bf9 13675064 debug extra vim-dbg_7.3.524-1_amd64.deb
 cd44c2c83f7c099523ead99a68a3e6b1 145492 editors optional vim-gui-common_7.3.524-1_all.deb
 956b51ad1704fd1085655dbd22bb83ef 6280816 editors optional vim-runtime_7.3.524-1_all.deb
 da73e0f9f1d645d2ee323a3976d8259d 2335296 doc optional vim-doc_7.3.524-1_all.deb
 28bc37651f3e9481ef0697ca1ba007d3 86776 oldlibs extra vim-lesstif_7.3.524-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk++5RUACgkQDb3UpmEybUDL6ACeN+gHme0BcGDX20XGXqpTsQZH
Q2wAniaUFnXn28LxMfph1zcGujn/dPrQ
=DiSZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:39:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:55:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.